package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability587/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaWdkItemStoreskustatusUpdateRequest struct {
	/*
	   bean     */
	Bean *domain.AlibabaWdkItemStoreskustatusUpdateUpdateStoreSkuLifeStatusRequestBean `json:"bean,omitempty" required:"false" `
}

func (s *AlibabaWdkItemStoreskustatusUpdateRequest) SetBean(v domain.AlibabaWdkItemStoreskustatusUpdateUpdateStoreSkuLifeStatusRequestBean) *AlibabaWdkItemStoreskustatusUpdateRequest {
	s.Bean = &v
	return s
}

func (req *AlibabaWdkItemStoreskustatusUpdateRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Bean != nil {
		paramMap["bean"] = util.ConvertStruct(*req.Bean)
	}
	return paramMap
}

func (req *AlibabaWdkItemStoreskustatusUpdateRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
